cascading.tap.local

## Class StdInTap

- java.lang.Object
- - cascading.tap.Tap<Config,Input,java.lang.Void>
  - - cascading.tap.SourceTap<java.util.Properties,java.io.InputStream>
    - - cascading.tap.local.StdInTap

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, java.io.Serializable

      public class StdInTap
      extends SourceTap<java.util.Properties,java.io.InputStream>

  Class StdInTap provides a local mode tap for reading data from the `stdin` stream.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdInTap(Scheme<java.util.Properties,java.io.InputStream,?,?,?> scheme)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIdentifier()`
    `long` | `getModifiedTime(java.util.Properties conf)`
    `TupleEntryIterator` | `openForRead(FlowProcess<? extends java.util.Properties> flowProcess, java.io.InputStream inputStream)`
    `boolean` | `resourceExists(java.util.Properties conf)`

    - ### Methods inherited from class cascading.tap.SourceTap

      `commitResource, createResource, deleteResource, getSinkFields, isSink, openForWrite, prepareResourceForWrite, rollbackResource, sinkConfInit`

    - ### Methods inherited from class cascading.tap.Tap

      `createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForRead, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, setScheme, sourceConfInit, taps, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StdInTap

          public StdInTap(Scheme<java.util.Properties,java.io.InputStream,?,?,?> scheme)

  - ### Method Detail

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Specified by:
        `getIdentifier` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`

    - #### openForRead

          public TupleEntryIterator openForRead(FlowProcess<? extends java.util.Properties> flowProcess,
                                       java.io.InputStream inputStream)
                                         throws java.io.IOException

      Specified by:
        `openForRead` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
      Throws:
        `java.io.IOException`

    - #### resourceExists

          public boolean resourceExists(java.util.Properties conf)
                                 throws java.io.IOException

      Specified by:
        `resourceExists` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
      Throws:
        `java.io.IOException`

    - #### getModifiedTime

          public long getModifiedTime(java.util.Properties conf)
                               throws java.io.IOException

      Specified by:
        `getModifiedTime` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.